<template>
  <v-radio-group row inline v-model="params.data.useYN" class="custom-radio type2">
    <v-radio value="Y" label="사용" @click="fnUpdate('Y', params)" readonly></v-radio>
    <v-radio value="N" label="미사용" @click="fnUpdate('N', params)" readonly></v-radio>
  </v-radio-group>  
</template>

<script setup>
  // props
  const props = defineProps({
    params: Object,
  })
  function fnUpdate(yn, item){
    props.params.clicked(yn, item)
  }
</script>